package it.android.cs6;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class IntentCallerActivity extends Activity implements OnClickListener {
    /** Called when the activity is first created. */
	private Button buttonT;
	private EditText editT;
	public String ACTION_TRANSLATE="it.android.cs6.IntentCallerActivity.ACTION_TRANSLATE";
	public int REQUEST_TRANSLATE=0;
	int startSelection;
	int endSelection;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        buttonT=(Button)findViewById(R.id.button1);
        editT=(EditText)findViewById(R.id.editText1);
        buttonT.setOnClickListener(this);
    }

	@Override
	public void onClick(View arg0) {
		if (arg0==buttonT) {
			Intent intent=new Intent();
			intent.setAction(ACTION_TRANSLATE);
			startSelection=editT.getSelectionStart();
			endSelection=editT.getSelectionEnd();
			String selectedText = editT.getText().toString().substring(startSelection, endSelection);
			intent.putExtra("name", selectedText);
		
			startActivityForResult(intent, REQUEST_TRANSLATE);
		}
		
	}
	
	public void onActivityResult(int request, int result, Intent intent) {
		if ((result==Activity.RESULT_OK) && (request==REQUEST_TRANSLATE)) {
			
			String text=intent.getStringExtra("synoninm");
			
			String textOld=editT.getText().toString();
			String text1=textOld.substring(0, startSelection);
			String text2=textOld.substring(endSelection+1, textOld.length());
			String textNew=text1+text+text2;
			//text2.
			//text2.replace(startSelection, endSelection, text);
			editT.setText(textNew);
		}
	}
	
    
    
}